package hydrabot;
use Exporter ();
@ISA = qw(Exporter);
@EXPORT = qw(lambda_default lambda_app);
@EXPORT_OK=qw($app pi $visc10 Re);
$visc10=1.31e-6;
sub pi{ 4 * atan2 1, 1 };
sub Re($$){$_[0]*$_[1]/$visc10};
sub lambda_default($){(1.74+2*log($_[0]/2)/log(10))**(-2)};
sub lambda_app($$){#Re,Delta/d
    my ($Re,$reld)=(shift,shift);
    if($Re>=4000){
        if($Re<(120*$reld)**1.125){
            if($reld>20000){
                $app = 'PrNik';
                return 0.0032+0.221*$Re**(-0.237)#Pr.-Nikuradze
            }elsif($Re>10*$reld){
                $app = 'Altsh';
                return 0.11*(1/$reld+68/$Re)**0.25
            }else{$app = 'Blaz';return 0.3164/sqrt sqrt $Re}
        }else{$app = 'sl';return lambda_default($reld)#square law region
        }
    }elsif($Re<=2300){
        $app = 'lam';return 64/$Re#laminary - Poiselle
    }else{$app = 'bad';
         return 6.3e-4*sqrt $Re
    }
};
1;
